==============================================================================
 更新履歴
==============================================================================

2026-07-12	Version 2.1.4
	・[Mac版] オープンしているファイルパスをメニューに表示するようにした。
	・[Win版] 保存先のフォルダ名に\と同じ文字コードを含む漢字を使用している
	  と正しく保存されないことがある不具合を修正した。
	・漢字ROMイメージをパワーON時に読むようにした。

2026-03-29	Version 2.1.3
	・VIA 出力バッファの動作を変更した。
	・[デバッガ]PIA、VIAのデバッグ出力を変更した。
	・疑似漢字ROMイメージを作成するツールを修正。漢字の右端にドットがあると
	  KANJI文で漢字が表示されないので右端にドットを置かないようにした。

2025-12-27	Version 2.1.2
	・MB8866 FDCのBusyフラグをセットするタイミングを早くした。
	・上記Busyフラグがセットされるまでの遅延を無視するかどうか指定できる
	  ようにした。

2025-11-15	Version 2.1.1
	・[Win版] 起動時にまれに異常終了する不具合を修正した。
	・[Win版] 設定ダイアログにて描画方法をダブルバッファに変更すると画面が
	  更新されなくなる不具合を修正した。
	・[Win版] ffmpegによる録画録音で出力先パスに日本語が含まれるとエラーと
	  なり記録できない不具合を修正した。
	・[Mac版] OSのセキュリティ強化によりffmpegの動的ライブラリをロード
	  しなくなっていた問題を修正した。
	・MB8866 FDCにコマンドを書き込んでから数サイクル後にBusyフラグをセット
	  するようにした。
	・ffmpegのライブラリはROMパスで指定したフォルダを優先して参照するように
	  した。
	・キャラクタフォントFONT.ROMのロードが出来ているにもかかわらずパワーON
	  する毎に再ロードしていたのをやめた。

2025-10-12	Version 2.1.0
	・[EMU] 画面表示処理を変更した。これに伴いDirect3DやOpenGLのON/OFF切替
	  から描画方法サブメニューで選択する方法に変更した。
	・仮想キーボードのサイズを変更できるようにした。
	・[Win版] 高DPI表示に対応した。
	・[Win版] Direct2Dに対応した。
	・[Mac版] ソフトの再起動なしに描画方法の切替をできるようにした。
	・HFE形式のディスクイメージ読み込みに対応した。
	・上記対応に伴いフロッピーディスク周りの実装を変更した。
	・MC6843 FDCにFFRコマンドを実装した。
	・MC6809 リセット信号でレジスタを初期化している不具合を修正した。 
	・PIA 物理ポートを出力モードに設定した状態でレジスタをリードすると常に
	  0を返している不具合を修正した。 
	・PSGのポートに接続するジョイパッドに対応した。ジョイパッド設定ダイア
	  ログで設定できます。
	・キー割当ダイアログおよびジョイパッド設定ダイアログを変更した。
	・ソフト起動時パワーオン/オフの状態を選択できるようにした。
	・[Win版] XINPUT接続のジョイスティックでアナログスティックの上下が逆に
	  なっていた不具合を修正した。
	・[デバッガ]RDコマンドの表示を少し変更した。

------------------------------------------------------------------------------

2025-04-29	Version 2.0.5
	・漢字データ出力部分を改修した。 
	・疑似漢字ROMイメージを作成するツールを更新した。 
	・[デバッガ]BASコマンドのブレークポイントの指定で行番号を設定できない
	  不具合を修正した。
	・[デバッガ]BASコマンドのブレークポイントを1つだけ指定した時、一度マッチ
	  ングした行が対象から外れる不具合を修正した。

------------------------------------------------------------------------------

2024-12-08	Version 2.0.1
	・[VC版]サウンド部分を修正した。
	・PIAのAポートでジョイパッドを使えるようにした。ジョイパッド設定ダイア
	  ログで設定できます。
	・キー割当ダイアログおよびジョイパッド設定ダイアログを変更した。

2024-04-27	Version 2.0.0
	・サウンド出力部分を改修した。
	・[VC版]Media Foundationで録音するとノイズが入る問題を修正した。
	・[Mac版]デフォルト描画で画面が表示されなくなることがある問題を修正した。
	・[Mac版]AVKitで録音すると異常終了することがある不具合を修正した。
	・キー入力をジョイスティックポートに割当てできるようにした。
	・ジョイパッドのボタン連打設定が行えるようにした。
	・アナログスティックを方向キーとして割当てできるようにした。
	・ログ表示ダイアログを追加した。
	・[デバッガ]DDISコマンドを追加した。

------------------------------------------------------------------------------

2024-01-22	Version 1.9.5
	・PSH命令でダミーリードしていない不具合を修正した。これでスタックが
	  VRAM領域ならカラーレジスタを更新するようなります。
	・COMポートからバッファにためずなるべくすぐ送信するようにした。

2023-09-20	Version 1.9.4
	・ベタディスクイメージを開いたときはベタディスクイメージのまま保存
	  できるようにした。

2023-07-03	Version 1.9.3
	・仮想キーボードで実キーボードから入力した場合にアニメーションするよう
	  にした。
	・パワーオン時にCPUのレジスタをクリアするかを選択できるようにした。

2023-03-19	Version 1.9.2
	・全体の動作速度を2倍以上にするとFDからの起動やアクセスに失敗すること
	  がある不具合を修正した。

2022-12-10	Version 1.9.1
	・[Mac版]メニューのセパレータを修正した。
	・[デバッガ]ポーズ中にデバッグモードを開始できない問題を修正した。
	・[デバッガ]検索実行をESCキーで中断できるようにした。

2022-10-16	Version 1.9.0
	・[VC版]設定ダイアログでIOポートのチェックを変更した後タブを切り替えると
	  チェックした状態が元に戻る不具合を修正した。
	・[Mac版]ソフト終了をCommand+Qに戻した。また、VM側のGraphキーを英数キー
	  に変更した。
	・[Mac版]OpenGLで表示されないことがある不具合を修正した。
	・[デバッガ]RS,RHコマンドを追加。トレース中のレジスタの表示を切り替え。
	・[デバッガ]ダンプリストにヘッダを表示するようにした。
	・そのほか内部のコードを変更。

------------------------------------------------------------------------------

2022-04-22	Version 1.8.7
	・拡張RAMのVRAMアドレスエリアをリードするとカラーレジスタを更新する
	  不具合を修正した。
	・[デバッガ]TELNET接続で異常終了する可能性がある不具合を修正した。

2021-06-19	Version 1.8.5
	・COMポートをホスト上のシリアルポートに接続できるようにした。
	・上記変更に伴いネットワークソケット周りも変更した。
	・COMポートのバイトデータで通信する場合でもボーレートに即した速度になる
	  ようにした。
	・イーサネットやシリアルポートを切断する際にACIAをリセットしていた
	  不具合を修正した。
	・PSGのアドレスラッチで範囲外のアドレスは無効になるようにした。
	・そのほか内部のコードを変更。

------------------------------------------------------------------------------

2021-04-24	Version 1.8.1
	・FDの密度違いとメディア違いのチェック処理を実装した。(ただし、初期設定
	  ではチェックしない。設定ダイアログにて変更可能。)
	・MB8876で、DRQがONのままレジスタをリードしないと、次のコマンド設定後に
	  レジスタをリードしてもDRQがクリアされなくなる不具合を修正した。
	・プリンタのオンライン/オフラインを切り替えできるようにした。

2021-03-20	Version 1.8.0
	・インターレース画面で走査線表示に切り替えキー入力するとちらつきが
	  激しくなる不具合を修正した。
	・起動時、前回終了時の位置にウィンドウを表示するようにした。
	・キー入力の感度を鈍くできるようにした。(BASICで作られたゲーム用)
	  (オプションメニューから設定)
	・メニューにあるフルスクリーンの表示項目を変更した。
	・印字スピードを調整できるようにした。(設定ダイアログから設定)
	・そのほか内部のコードを変更。

------------------------------------------------------------------------------

2021-01-20	Version 1.7.3
	・ジョイスティックのキー割当状態が保存されない不具合を修正した。
	・[VC版]起動時にジョイスティックが有効にならない不具合を修正した。
	・[Mac版]キー割当ダイアログでジョイスティックが反応しない不具合を
	  修正した。
	・[デバッガ]ダンプファイルをMotorola Sフォーマットでロード・セーブ
	  できるようにした。
	・[デバッガ]DIR,LSのコマンドを追加。

2020-04-21	Version 1.7.2
	・日本語環境以外では起動しない不具合を修正した。
	・サウンドメニューのサンプリングレート変更時にメッセージを表示するよう
	  にした。
	・[Mac版]仮想キーボード上でキーを押下すると警告音が鳴っていた問題を
	  修正した。

2020-04-11	Version 1.7.1
	・キーを離したあと入力がないとKBレジスタをクリアしていた不具合を修正
	  した。
	・メニューのサウンド遅延 400msを指定できない不具合を修正した。
	・CRTCのカーソルスキューを変更した時の画面表示を実機に近づけた。
	・[デバッガ]トレース時にどのデバイスから割り込み信号が発生しているかを
	  見えるようにした。
	・[デバッガ]トレースバック用にレジスタ内容を100から1000行分保持する
	  ようにした。
	・[Mac版]フルスクリーン状態でアプリを終了させると、次回起動時に画面が
	  表示されないことがある不具合を修正した。
	・[Mac版]サウンドボリュームダイアログのスライダーを垂直にした。

2020-03-07	Version 1.7.0
	・IRQ,FIRQ割り込みの挙動を変更した。
	・8インチ2DタイプFDのFDCをマスクした時の挙動を変更した。
	・ディスクに書き込みを行った後、約5秒後に実際のイメージに書き込みを
	  行うようにした(遅延書き込み)。
	・CRTCのdisptmg skew, curdisp skewを変更すると垂直同期がリセットされる
	  不具合を修正した。
	・設定ダイアログにてメニューなどの言語を選択できるようにした。
	 (ただし、現状選択できるのは日本語とデフォルト(英語)のみ)
	・wavファイルでロードする際の補正で、補正に使用する正弦波の振幅を指定
	  できるようにした。
	・[デバッガ]CPU,PWD,CD,SLの各コマンドを追加。またBPなどいくつかの挙動を
	  変更した。
	・[デバッガ]ブレークポイントの設定方法を一部変更した。
	・[デバッガ]メモリダンプでデータが2バイト以上で表示されることがある不具合
	  を修正。
	・[デバッガ]複数行のペーストが正常にできない問題を修正。
	・[Mac版]ライブラリにSDL2を使用するようにした。
	・そのほか内部のコードを変更。

------------------------------------------------------------------------------

2019-10-06	Version 1.6.4
	・ジョイスティック(PIA接続)をONにすると、バンク切り替えができなくなる
	  不具合を修正。
	・Alt + Gで画面のキャプチャをできるようにした。
	・BREAKキーの挙動を少し変更した。
	・[VC版]メニューからDirectInputの選択肢が消えていた不具合を修正した。

2019-05-31	Version 1.6.3
	・ACIAの偶数パリティチェックが間違っていた不具合を修正した。

2019-03-02	Version 1.6.2
	・新規にブランクFDを作成できるようにした。
	・[デバッガ]BASICのDEF FN文で定義した変数名が表示されない不具合を修正。

2018-07-25	Version 1.6.1
	・画面描画ロジックを修正した。
	・ディスクサイズが0のイメージを開くと異常終了する不具合を修正した。
	・8インチFDの挙動を変更した。
	・[Mac版]OpenGLを使用するように変更しても変更が反映されないことがある
	  不具合を修正。

2018-03-18	Version 1.6.0
	・画面描画ロジックを変更した。
	・テープの動作ロジックを変更した。巻き戻し操作を変更した。
	・ジョイスティックを拡張PIA Bポートに接続した状態のエミュレートに対応。
	・リアルタイムクロックを実装した。
	・メニューの文言を一部変更した。
	・ffmpegはバージョン3.x系列を使用するようにした。
	・[デバッガ]BASコマンド追加。BASICの変数名やリストを表示できるように
	  した。
	・[デバッガ]カーソルキー左右で移動できるようにした。
	・そのほか内部のコードを変更。

------------------------------------------------------------------------------

2017-12-24	Version 1.5.6
	・IGを無効にできるようにした。
	・[デバッガ]カーソルキー上下で入力したコマンドの履歴を表示するようにした。

2017-11-14	Version 1.5.5
	・FDCに同じトラックを指定してシーク処理を実行するとトラックが移動して
	  しまう不具合を修正。
	・音量設定ダイアログの音量を数値で表示するようにした。
	・[デバッガ]割り込みブレークポイント/トレースポイントで割り込み解除を
	  捕捉できるようにした。

2017-09-02	Version 1.5.4
	・トラック情報のないd88ファイルをフォーマットした時、トラック順序が昇順に
	  並ぶように修正した。
	・[デバッガ]コマンドの末尾空白を取り除くようにした。

2017-07-02	Version 1.5.3
	・FDのアクセススピードはディスクイメージのセクタ順序に即して計算する
	  ようにした。
	・上記アクセススピードの有効・無効を設定ダイアログにて選択できるように
	  した。

2017-06-19	Version 1.5.2
	・FDCのシーク処理でダンマリすることがある不具合を修正。
	・CWAI/SYNC命令で停止中にリセットすると再起動しない不具合を修正。

2017-06-07	Version 1.5.1
	・PSGの挙動を少し変更した。
	・FDのCRC計算の誤りを修正した（ただし、現在未使用）。
	・[VC版]キー入力にDirectInputを使用できるようにした。

2017-03-26	Version 1.5.0
	[新機能]
	・仮想キーボードを実装した。
	・パワーオフの状態にできるようにした(設定で変更可能)。
	・最近使用した状態ファイルの履歴を記録するようにした。
	・FDのフォーマットなどWRITE TRACKコマンド使用時はトラック全体を作り直す
	  ようにした。
	・トラック情報のないd88ファイルをフォーマットできるようにした。
	・[VC版]Windows7以降でMedia Foundationによる録画、録音に対応した。
	・[デバッガ]ブレークポイントのアドレスに現在アドレス、次アドレスを指定
	  できるようにした。
	[改修]
	・キー割当をVC版とSDL版で共通化した。このため、旧バージョンのキー割当は
	  無効になり現バージョンのキー割当に初期化されます。
	・最近使用したファイルの履歴を20ファイルまで記録するようにした。
	・FDのアクセススピードを変更した。
	・音量のバランスを変更した。
	・パワーオンリセット時の挙動を変更した。
	・画面保持モードを廃止した。
	・I/Oポートでカラーレジスタは$FFD8～$FFDF、KBレジスタは$FFE0～$FFE7に
	  した。
	・CPUが未定義命令を読み込んだ際にメッセージを出力するかどうかを設定
	  できるようにした。
	・[Mac版]設定ファイルやログファイルをappフォルダの外に保存するように
	  変更した。
	・[デバッガ]JMP,JSRのダイレクトアドレッシング表記がおかしい不具合を修正
	  した。
	・[デバッガ]U,UPコマンドでの逆アセンブルでダイレクトアドレッシングの
	  表記を変更した。
	・[デバッガ]CPUの未定義命令を逆アセンブルすると表示が崩れる問題を修正。
	・そのほか内部のコードをいろいろ変更。

------------------------------------------------------------------------------

2017-02-26	Version 1.4.7
	・ROMイメージのロード時にデータチェックを行うようにした。
	・5インチFDCでREAD ADDRESSコマンドを実行するとセクタが読めなくなること
	  がある不具合を修正した。
	・8インチFDの挙動を少し変更した。
	・[Mac版]キー割当ダイアログで英数、かなキーを認識するようにした。
	・[デバッガ]トレースバック(TB)コマンドを追加した。
	・[デバッガ]ブレークポイントのアドレスに範囲指定を追加した。

2017-02-01	Version 1.4.6
	・キー記録ファイルにエミュレータのバージョン情報を記録するようにした。
	・画面キャプチャ時にPNGで保存できるようにした。また、設定ダイアログで
	  BMPかPNGかを選択できるようにした。
	・[デバッガ]ダンプファイルからメモリへロードされない不具合を修正した。

2016-12-10	Version 1.4.5
	・FFMPEGによる録音に対応。
	・[VC版]録画ダイアログでFFMPEGの選択したコーデックと品質が反映されない
	  不具合を修正した。
	・[VC版]FFMPEGで録画すると色がおかしくなっていた不具合を修正した。
	・[VC版]DirectXを使用していない状態で画面キャプチャすると真っ暗な画像が
	  保存される不具合を修正した。
	・[Mac版]AVFoundationによる録画、録音に対応した。

2016-10-15	Version 1.4.4
	・RS-232C通信の接続が切れると「バイナリモード」を解除するようにした。
	・残像ありモードでフレームレートを落とすとSKIPPERの画面が正しく表示され
	  なくなっていた不具合を修正した。

2016-06-26	Version 1.4.3
	・5インチFDCにREAD TRACKコマンドを実装した。
	・拡張メモリを使用するかどうかを選択できるようにした。

2016-05-14	Version 1.4.2
	・FDDアクセスランプの挙動をすこし変更した。
	・キー自動入力でCR+LFは2行改行していたのを1行改行するように修正した。
	・[VC版]設定ダイアログを閉じるとI/Oポートがすべて非選択になることがある
	  不具合を修正した。

2016-04-29	Version 1.4.1
	・FDDからDISK BASICを起動してリセットスイッチを押した後、ディスクに
	  アクセスするとDrive Not Readyとなることがある不具合を修正した。
	・デバッガを一部修正した。

2016-04-06	Version 1.4.0
	・デバッガを搭載した(デバッガありバージョンのみ)。
	・RS-232C通信で1バイトのデータをそのまま送受信できるようにした。
	・RS-232C通信でtelnet端末へコマンドを送信する機能を追加した。
	・8インチ標準フロッピーモードを搭載した(ただし未テスト)。
	・FDDエラー時の動作を変更した。
	・FDDヘッドロード時のサウンドを再生できるようにした。
	・設定ダイアログからI/OポートのFDC選択チェックボックスを削除した。

------------------------------------------------------------------------------

2016-03-06	Version 1.3.7
	・ポーズ中にも画面を更新するようにした。
	・PSGのエンベロープを状態ファイルにセーブしていなかった不具合を修正。

2016-01-30	Version 1.3.6
	・CRTCをある設定にするとカーソル位置がずれる不具合を修正した。
	・状態ファイルのロード後にPSGから音がでないことがある不具合を修正した。
	・描画処理が少し軽くなるモードを追加した。
	・ショートカットキーを追加した。
	・フルスクリーンモード一覧の順序を降順に変更した。
	・画面のアスペクト比の処理を変更した。
	・[SDL版]フレームスキップ時の処理を変更した。

2016-01-09	Version 1.3.5
	・画面描画ルーチンを変更。
	・画面のアスペクト比を選択できるようにした。
	・最近使用したFDファイルを選択した時にFDDを選べるようにした。
	・[Mac版]LEDインジケータを画面外に出せるようにした。

------------------------------------------------------------------------------

2015-12-18	Version 1.3.1
	・NMI割り込みが頻繁に発生すると暴走する不具合を修正。
	・トレース処理を変更。

2015-11-28	Version 1.3.0
	・仮想マシン部分の処理ルーチンを別スレッドで動かすようにした。
	・リセットを連続して入れると挙動が不安定になることがある問題を修正。
	・国際化（ローカライズ）に対応。
	・ffmpegによる録画に対応。Mac版はQtkitも使用できる（ただしすごく重い）
	・FDDを4ドライブにした。
	・起動時にFDイメージをマウントするかを指定できるようにした。
	・片面単密度(1S)のディスクイメージを扱えるようにした。
	・メニューの並び順を変更。
	・LEDインジケータのデザインを変更した。
	・[Mac版]Mac OSX標準のメニューやダイアログに変更。
	・[Mac版]FDイメージにロックをかけた時、書き込みを禁止するようにした。

------------------------------------------------------------------------------

2015-10-08	Version 1.2.8
	・Load State後にテープにL3形式でセーブすると正しく保存されないことが
	  ある不具合を修正。
	・FDDいずれかのドライブがモータOFFとなると全ドライブがモータOFFとなる
	  不具合を修正。

2015-08-22	Version 1.2.7
	・Recentメニューの表示方法をサブメニュー形式に変更。
	・FDDメニューにマルチボリューム形式のサブメニューを追加。
	・マルチボリューム形式のディスクの場合、ボリューム位置を設定ファイルに
	  記録するようにした。
	・キー入力の再生でアクセラレータキーの挙動を一部変更。
	・起動時オプションに実行ファイルと異なるフォルダのiniファイルを指定して
	  起動しても、ログやキー設定ファイルはアプリケーションフォルダに出力して
	  いた不具合を修正[SDL版]。

2015-05-30	Version 1.2.6
	・ライトペン有効を選択できるようにメニューに追加した。
	・ウィンドウモード1.5倍以上で表示中にフルスクリーンのStretchを変更すると
	  表示が1倍になってしまう不具合を修正。
	・フルスクリーン時に画面左上を右クリックするとウィンドウに戻るように
	  した。
	・起動時オプションに実行ファイルと異なるフォルダのiniファイルを指定
	  するとLEDボックスが表示されない不具合を修正[SDL版]。
	・フルスクリーンで起動するとLEDボックスの表示位置がずれる不具合を修正[SDL版]。
	・フルスクリーンからウィンドウに戻らないことがある問題を修正[SDL版]。
	・OpenGL使用時にフルスクリーンで画面が真っ白になることがある問題を修正[SDL版]。

2015-04-13	Version 1.2.5
	・設定ダイアログを変更。
	・テープイメージをWAVファイルでロード/セーブする際のパラメータを
	  iniファイルに保存するようにした。
	・Macでメニュー表示をするとフレームレートが半分に下がる問題を修正[SDL]。

2014-11-09	Version 1.2.4
	・リセットスイッチを押すとIGが有効になる不具合を修正。(V1.2.3で混入)

2014-09-27	Version 1.2.3
	・VRAM領域のバンク切り替えの挙動が異なっていた不具合を修正。
	・拡張RAMはVRAMとして使用できないように修正した。
	・リセット時にIGENREGを初期化していなかった不具合を修正。

2014-08-29	Version 1.2.2
	・IGの画面表示の挙動が実機と異なっていた不具合を修正。(V1.2.0で混入)

2014-05-24	Version 1.2.1
	・英語版Windowsでダイアログの文字が切れてしまう不具合を修正[VC++版]。
	・CPUスピードにあわせてテープロード音の音程が変わるようにした。

2014-04-14	Version 1.2.0
	[新機能]
	・FDDメニューにライトプロテクトを追加。
	・FDDシーク音、モータ音を用意することで音がなるようにした。
	・カセットテープレコーダのカウンタを追加。
	・T9X形式のテープイメージファイルに一応対応。
	・キー入力を記録する機能を追加。
	・LEDインジケータを画面の四隅に移動できるようにした。
	・iniファイルに録画、録音時の出力先フォルダを指定できるようにした。
	・iniファイルにメッセージのフォントサイズを指定できるようにした。
	・Direct3D使用時の画面拡大フィルタの種類を指定できるようにした[VC++版]。
	・OpenGL使用時の画面拡大フィルタの種類を指定できるようにした[SDL版]。
	・コマンドラインのオプションを追加。
	・ファイルのドラッグ＆ドロップに対応[VC++版]。
	[改修]
	・ショットカットキーの一部見直しと追加。
	・録画、録音時の出力ファイル名を日付日時に変更。
	・ライトプロテクトのかかった5インチFDに書き込みを行ってもライトプロテ
          クトエラーにならない不具合を修正。
	・テープイメージのファイル名が大文字だとイメージ形式の判定に失敗して
          いた不具合を修正。
	・サンプリング周波数を低くするとテープロード音がおかしくなる不具合を
          修正。
	・プリンタの出力バッファを動的に確保するように変更。
	・キー自動入力のスピードをCPUスピードに合わせて速くなるように変更。
	・キー自動入力はデフォルトのキーバインドで動作するように変更。
	・画面描画ルーチンを変更。
	・ウィンドウサイズを変更してもウィンドウ位置はなるべくその位置にとど
          まるようにした[VC++版]。
	・サウンド出力ルーチンを別スレッド化[VC++版]。
	・サウンド出力ルーチンの処理を変更。
	・拡張プリンタと拡張COMポートをステータスファイルに保存するようにした。
	・設定ファイルのパス名はUTF-8で保存するようにした。
	・旧設定(cfg)ファイルのサポートを終了。
	・Mac OS X 版はユニバーサルバイナリ(i386/amd64)にした。

------------------------------------------------------------------------------

2014-03-09	Version 1.1.2
	・ジョイスティックのボタンを28個まで対応した。
	・フルスクリーンの解像度候補は比率が4:3,5:4,16:9,8:5に限定した。また、
          低解像度の候補は横640,800,1024,1280に限定した。
	・接続中のジョイスティックを常に1番目とするように変更した[VC++版]。
	・Direct3Dを使用中、ウィンドウサイズをx2.5にすると表示されなくなる
          不具合を修正[VC++版]。

2014-02-01	Version 1.1.1
	・テープイメージにリニアPCM以外のWAVファイルを指定するとだんまりする
	  不具合を修正。
	・1200ボーに設定した後リセットするとテープロード音がおかしくなる不具合
	  を修正。
	・画面描画まわりの変更。

2013-12-22	Version 1.1.0
	・コア部分の変更。
	・CPUスピードに0.5倍を追加。
	・プリンタからネットワーク経由でmpprinterへ送信するように変更。
	・拡張プリンタポート(LPT1:,LPT2:)の出力に対応。
	・COMポートの入出力をネットワーク経由に変更。
	・拡張COMポート(COM1:)の入出力に対応。
	・iniファイルのFDD1,FDD2セクション名をFDD0,FDD1に変更。
	・CPUスピードを上げた時のサウンド(MUSIC_SEL)の処理不具合を修正。
	・拡張COMポートを使うように設定しても再起動するとクリアされていた
	  不具合を修正。
	・録画中にポーズしても録画を続けるように変更[VC++版]。

------------------------------------------------------------------------------

2013-11-03	Version 1.0.0
	・個別のサウンドデバイスごとに音量を調節できるようにした。
	・サウンド(MUSIC_SEL)のフィルタ処理を変更した。
	・サウンド周波数8000Hz未満をメニューから除外した。
	・Afterimage2使用時の画面輝度を変更した。
	・LEDインジケータを画面内に埋め込めるようにした[VC++版]。

------------------------------------------------------------------------------

2013-08-12	Version 0.9.9
	・LEDインジケータのFDDの表記を"FDD0"、"FDD1"に修正。
	・FDD1側も起動時に前回使用したディスクイメージをマウントするようにした
	  (FDD0側はすでに実装済み)。
	・ファイルをオープンしていないにもかかわらずオープンしているようにパス
	　が表示されることがある不具合を修正。

2013-08-08	Version 0.9.8
	・メニューのFDDの表記を"FDD0"、"FDD1"に変更。

2013-07-01	Version 0.9.7
	・KBモードのUEフラグ=1の時、キーカウンタを0～7の範囲に修正。

2013-05-18	Version 0.9.6
	・一部のゲームでプログラムロード後に自動で起動しない不具合を修正。
	・5インチFDDのFDCにWRITE TRACKコマンドを実装した。

2013-03-26	Version 0.9.5
	・Breakキーの挙動を修正。

2013-02-01	Version 0.9.4
	・ダイアログの文言を修正。

2013-01-31	Version 0.9.3
	・3重和音PSGを6重和音PSGに拡張した。

2012-11-08	Version 0.9.2
	・録画や画面キャプチャ時の解像度を選択できるようにした。

2012-10-12	Version 0.9.1
	・ある条件でIGの表示が正しく表示されない不具合を修正。

2012-09-22	Version 0.9.0
	[新機能]
	・ウィンドウモードの選択肢を増やした。
	・カセットテープの実スピードモードを実装。このモードでは再生音もなる
	  ようにした。
	・リレースイッチの音声ファイルを用意することで音がなるようにした。

------------------------------------------------------------------------------

2012-09-12	Version 0.8.9
	・割り当てなしのキーがデフォルトのキーに戻ってしまう不具合を修正。

2012-09-05	Version 0.8.8
	・メッセージのフォントを設定ファイルにて指定できるようにした。
	・ROMファイルのあるパスを設定ファイルにて指定できるようにした。
	・フルスクリーンモードの解像度の候補をアスペクト比で絞るようにした
	[VC++版]。

2012-08-28	Version 0.8.7
	・CRTCのdisptmg skewとcurdisp skewをダイアログで設定できるようにした。
	・キー割り当て設定ファイルをテキストファイルベースにした。
	・設定ダイアログ、キー割り当てダイアログを閉じる際に設定ファイルを保存
	するようにした。

2012-08-21	Version 0.8.6
	・CRTCのスタートアドレスに$0400未満を設定すると正しく表示されない
	不具合を修正。

2012-08-13	Version 0.8.5
	[新機能]
	・固定フレームレートに対応した。
	[改修]
	・ショートカットキー(Alt+?)のAltキーを別キーに割り当て可能にした。
	・ジョイスティック使用有無を選択できるようメニューに追加した。
	・環境設定ファイルをテキストファイルベースにした。
	・描画処理を変更した。
	・サウンド(MUSIC_SEL)のフィルタ処理を変更した。
	・録画時のフレームレートの選択肢を増やした。また、フレーム処理を変更
	した[VC++版]。
	・複数のモニタ使用時に各モニタごとにフルスクリーン化できるようにした
	[VC++版]。
	・Direct3D使用有無を選択できるようメニューを変更した[VC++版]。

2012-07-27	Version 0.8.3
	・リセット時にメモリバンク切替を初期化していない不具合を修正。
	・連続してリセットを行うと動作が重くなる不具合を修正。
	・リセットと電源ONのショートカットキー(Alt+R,Alt+P)のキーリピートを
	抑制するようにした[VC++版]。
	・Direct3D Extensionsを使用しないようにした[VC++版]。

2012-07-24	Version 0.8.2
	・L3C,WAVファイルに対してカセットテープの巻き戻し機能が機能していない
	不具合を修正。
	・初期化時にメモリを破壊していた不具合を修正[VC++版]。

2012-07-14	Version 0.8.1
	・Windows7でソフト終了時に強制終了することがある問題に暫定対応[VC++版]。

2012-07-01	Version 0.8.0
	[新機能]
	・9声PSGを実装。VIAの実装。
	・拡張ボードの使用有無をダイアログで選択できるようにした。
	・カセットテープの巻き戻し、早送り機能を実装。
	・リセットスイッチとポーズON/OFFをキー割り当て可能にした。
	  （このため、従来とキー割り当てが変更になっています。）
	・ショートカットキー(Alt+??)を実装。
	・画面にメッセージを表示する機能を追加した。
	・レジューム機能を追加。
	[改修]
	・3声PSGをPIA経由にした。
	・画面描画のタイミングを変更。
	・TERMで通信できなくなっていた不具合を修正[VC++版]。
	・ACIAの挙動に不具合があったのを修正。
	・動画録画中はフレーム落ちさせないようにした[VC++版]。
	[その他]
	・retro pc emulator common source code 2012/03/20バージョンをマージ。

------------------------------------------------------------------------------

2012-06-23	Version 0.7.5
	・画面表示(CRTCまわり)の不具合を修正。
	・ウィンドウ操作でキーバッファをクリアするようにした[VC++版]。
	・ジョイスティック使用中にスクリーンセーバが起動しないようにした[VC++版]。
	・動画録画中のフレーム処理を変更[VC++版]。

2012-06-16	Version 0.7.4
	・FDD種類を変更してプログラムを終了させると、変更が反映されない不具合
	  を修正。
	・shift+テンキーでカーソルキーとならないように挙動を変更[VC++版]。
	・画面表示のタイミングを修正。
	・その他もろもろ変更。

2012-06-09	Version 0.7.3
	・CPU速度に合わせて画面描画を行うようにした。

2012-06-02	Version 0.7.2
	・一部のwavファイルのテープイメージをロードできない不具合を修正。

2012-05-27	Version 0.7.1
	・ジョイスティックのボタン同時押しでの挙動をキー割り当てダイアログで
	  選択できるようにした。

2012-04-14	Version 0.7.0
	・キー割り当てのバグ修正。

2012-04-04	Version 0.7.0 beta
	・FDD有無バージョンを統合しFDD使用を選択できるようにした。
	・カセットテープイメージに使用するwavファイルのサンプリングレートを
	  11025/22050/44100/48000Hz、8/16bitに対応。
	・キーを割り当てできるようにした。
	・ジョイスティックを使用できるようにした。
	・実行時ログを出力するようにした。
	・残像モードで描画が遅い処理を改善。

------------------------------------------------------------------------------

2012-03-28	Version 0.5.2		5"FDDありバージョン
	FDD:$FF04のIRQ,DRQフラグの挙動が逆になっていた不具合を修正
	FDD:IRQを発生させるタイミングを変更。

2012-03-14	Version 0.5.1		5"FDDありバージョン
	SyncIRQが正しく機能しなくなっていた不具合を修正。
	VMを起動し始めるタイミングを変更。

2012-03-14	Version 0.1.14	FDDなしバージョン
	SyncIRQが正しく機能しなくなっていた不具合を修正。
	VMを起動し始めるタイミングを変更。

2012-03-11	Version 0.5.0		5"FDDありバージョン
	FDD:$FF04の挙動を修正。

2012-02-25	Version 0.5.0 beta		5"FDDありバージョン
	retro pc emulator common source code 2012/02/22バージョンをマージ。

2012-02-25	Version 0.1.13	FDDなしバージョン
	retro pc emulator common source code 2012/02/22バージョンをマージ。
	PSGのI/Oポートアドレスを$FF30,$FF32のみにした($FF00は廃止)。

2012-02-18	Version 0.5.0 alpha4	5"FDDありバージョン
	ポーズ機能を追加。
	サウンド(MUSIC_SEL)にフィルタを変更。
	"Afterimage2"の残像時間を少し変更。
	FDD:アクセスランプの動きを変更。
	その他バグ修正。

2012-02-18	Version 0.1.12	FDDなしバージョン
	ポーズ機能を追加。
	サウンド(MUSIC_SEL)にフィルタを変更。
	"Afterimage2"の残像時間を少し変更。
	その他バグ修正。

2012-02-03	Version 0.5.0 alpha3	5"FDDありバージョン
	FDD:アクセスランプの不具合を修正。
	サウンド(MUSIC_SEL)にフィルタを通すようにした。
	"Afterimage2"の残像時間を少し変更。

2012-02-03	Version 0.1.11	FDDなしバージョン
	サウンド(MUSIC_SEL)にフィルタを通すようにした。
	PSGのI/Oポートアドレスに$FF30,$FF32を使えるようにした。
	"Afterimage2"の残像時間を少し変更。

2012-01-22	Version 0.5.0 alpha2	5"FDDありバージョン
	FDD周りのバグを修正。

2012-01-20	Version 0.5.0 alpha	5"FDDありバージョン
	5インチ両面倍密度のFDDを実装。

------------------------------------------------------------------------------

2011-12-30	Version 0.3.5	3"FDDありバージョン
	トレースカウンターを修正。
	画面描画のタイミングを変更。

2011-12-30	Version 0.1.10	FDDなしバージョン
	トレースカウンターを修正。
	画面描画のタイミングを変更。

2011-12-15	Version 0.3.4	3"FDDありバージョン
	キーボードスキャンカウンタにCRTCのHSYNCを、タイマFIRQにCRTCのVSYNCを
	使うように変更した。

2011-12-15	Version 0.1.9	FDDなしバージョン
	キーボードスキャンカウンタにCRTCのHSYNCを、タイマFIRQにCRTCのVSYNCを
	使うように変更した。

2011-12-02	Version 0.3.3	3"FDDありバージョン
	IGRAMの初期化方法を変更した。

2011-12-02	Version 0.1.8	FDDなしバージョン
	IGRAMの初期化方法を変更した。

2011-11-26	Version 0.3.2	3"FDDありバージョン
	FDD:フォーマットコマンドが正しく動作しなかった不具合を修正。
	電源ON時にIG表示を無効にするようにした。

2011-11-26	Version 0.1.7	FDDなしバージョン
	電源ON時にIG表示を無効にするようにした。

2011-11-23	Version 0.3.1	3"FDDありバージョン
	FDD:指定したトラックと異なるトラックを読み書きすることがある不具合を
        修正。

2011-11-23	Version 0.3.0	3"FDDありバージョン
	片面単密度のFDDを実装。
	テープイメージなどオープンしているファイル名をメニューに表示するように
	した。
	カセットテープとFDD用のアクセスランプを実装。
	未使用I/Oの読み出し時に$ffを返すようにした。

2011-11-23	Version 0.1.6	FDDなしバージョン
	テープイメージなどオープンしているファイル名をメニューに表示するように
	した。
	カセットテープ用のアクセスランプを実装。
	未使用I/Oの読み出し時に$ffを返すようにした。

------------------------------------------------------------------------------

2011-11-05	Version 0.1.5
	ディスプレイ表示部分を少し変更。
	実行ファイルの内部バージョンを更新していなかったので修正。
	ドキュメントを修正。

2011-10-29	Version 0.1.4
	CRTC のcursor skew, disptmg skewを実装。
	ACIA パリティエラーの判定が間違っていた不具合を修正。
	漢字ROMを実装。

2011-10-24	Version 0.1.3
	RESETするとIG表示されなくなる不具合を修正。

2011-10-24	Version 0.1.2
	16ページ目(SCREEN ,16)が正しく表示されなかった不具合を修正。
	IGMODREGに書きこみを行った時点でIG表示するように変更。
	漢字ROMのレジスタを実装（ただしまだ漢字は出力されない）。

2011-10-13	Version 0.1.1
	INTERACE-SELの挙動がおかしかったのを修正。
	キースキャンコードを無効にする周期を変更。
	PSGをAY-3-8912相当に変更。

2011-10-05	Version 0.1.0a
	ドキュメントを修正
	FONT.ROMを作成するperlスクリプトをソースアーカイブに追加
	実行モジュールに変更はありません。

2011-10-01	Version 0.1.0
	とりあえず完成

==============================================================================
